### Method

# EBackend DataFactory get_registry

since: 3.16

#### Declaration [src]

    ESourceRegistry*
    e_data_factory_get_registry (
      EDataFactory* data_factory
    )

#### Description [src]

Returns the `ESourceRegistry` owned by `data_factory`.

Available since: 3.16

Gets property | `EBackend.DataFactory:registry`

#### Return value

Type: `ESourceRegistry`

The `ESourceRegistry`.

The returned data is owned by the instance.